export declare const EcanProportion: import('../../utils/withInstall').SFCWithInstall<import("vue").DefineComponent<{
    strokeColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    strokeLinecap: {
        type?: import("vue").PropType<"round" | "square">;
        default?: "round" | "square";
    };
    trailColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    strokeType: {
        type?: import("vue").PropType<"line" | "circle" | "dashboard">;
        default?: "line" | "circle" | "dashboard";
    };
    data: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    text: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    fontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    color: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    variableColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    strokeWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    fontWeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    strokeTextWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    lineHeight: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    decimalFormat: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    variableDefaultValue: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    strokeTextShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gradientShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gradientColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gradientOffset: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    graphicConfig: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    lineTextPosition: {
        type?: import("vue").PropType<"right" | "shadow">;
        default?: "right" | "shadow";
    };
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import("../../utils/props").Events>;
        default?: import("../../utils/props").Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import("../../utils/props").RequestMethod>;
        default?: import("../../utils/props").RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import("../../utils/props").RequestParams>;
        default?: import("../../utils/props").RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "component" | "static">;
        default?: "indicator" | "request" | "component" | "static";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    toolboxShow?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
}, {
    style: import("vue").ComputedRef<import("vue").HTMLAttributes>;
    myWidth: import("vue").ComputedRef<number>;
    text: import("vue").ComputedRef<any>;
    myValue: import("vue").ComputedRef<any>;
    loading: import("vue").Ref<boolean>;
    click: () => void;
    customStrokeColor: import("vue").ComputedRef<any>;
    shaDowStyle: import("vue").ComputedRef<{}>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    strokeColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    strokeLinecap: {
        type?: import("vue").PropType<"round" | "square">;
        default?: "round" | "square";
    };
    trailColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    strokeType: {
        type?: import("vue").PropType<"line" | "circle" | "dashboard">;
        default?: "line" | "circle" | "dashboard";
    };
    data: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    text: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    fontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    color: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    variableColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    strokeWidth: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    fontWeight: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    strokeTextWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    lineHeight: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    decimalFormat: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    variableDefaultValue: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    strokeTextShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gradientShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    gradientColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    gradientOffset: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    graphicConfig: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    lineTextPosition: {
        type?: import("vue").PropType<"right" | "shadow">;
        default?: "right" | "shadow";
    };
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import("../../utils/props").Events>;
        default?: import("../../utils/props").Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import("../../utils/props").RequestMethod>;
        default?: import("../../utils/props").RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import("../../utils/props").RequestParams>;
        default?: import("../../utils/props").RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "component" | "static">;
        default?: "indicator" | "request" | "component" | "static";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    toolboxShow?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
}>>, {}>> & Record<string, any>;
export default EcanProportion;
export * from './props';
